PipeWire 1.6.5

Loading...
Searching...
No Matches
pw_main_loop Struct Reference
Core API » Main Loop

A main loop object. More...

`#include <pipewire/main-loop.h>`

## Detailed Description

A main loop object.

Examples
  audio-capture.c, audio-dsp-filter.c, audio-dsp-sink.c, audio-dsp-sink2.c, audio-dsp-src.c, audio-src-ring.c, audio-src.c, export-source.c, export-spa-device.c, export-spa.c, internal.c, midi-src.c, tutorial2.c, tutorial3.c, tutorial4.c, tutorial5.c, tutorial6.c, tutorial7.c, video-dsp-play.c, video-dsp-src.c, video-play-pull.c, video-play-reneg.c, video-play-sync.c, video-play.c, video-src-sync.c, and video-src.c.

The documentation for this struct was generated from the following file:

- pipewire/main-loop.h